use iso8601::Duration;
use iso8601::Duration::{Weeks, YMDHMS};

pub fn duration_to_seconds_f64(duration: &Duration) -> f64 {
    if duration.is_zero() {
        return 0f64;
    }

    match duration {
        Weeks(w) => f64::from(*w) * 24f64 * 7f64 * 3600f64,
        YMDHMS{year, month, day, hour, minute, second, millisecond} =>
            f64::from(*day) * 86400f64
            + f64::from(*hour) * 3600f64
            + f64::from(*minute) * 60f64
            + f64::from(*second)
    }
}

pub fn empty_duration() -> Duration {
    YMDHMS {
        year: 0,
        month: 0,
        day: 0,
        hour: 0,
        minute: 0,
        second: 0,
        millisecond: 0
    }
}